# $Revision: 1.583.2.87 $, $Date: 2007/01/19 21:10:03 $
#
# You can define min_kernel macro by "rpm --define 'min_kernel version'"
# default is 2.4.6 for linuxthreads, 2.6.0 for NPTL
#
# Conditional build:
%bcond_with	omitfp		# build without frame pointer (pass \--enable-omitfp)
%bcond_without	memusage	# don't build memusage utility
%bcond_with	kernelheaders	# use headers from %{_kernelsrcdir} instead of
				# linux-libc-headers (evil, breakage etc., don't use)
%bcond_without	linuxthreads	# don't build linuxthreads version (NPTL only)
%bcond_without	nptl		# don't build NPTL version (linuxthreads only)
%bcond_without	tls		# don't support TLS at all (implies no NPTL)
%bcond_with	__thread	# use TLS in linuxthreads
%bcond_without	selinux		# without SELinux support (in nscd)
%bcond_with	tests		# perform "make test"
%bcond_with	tests_nptl	# perform NPTL tests on dual build (requires 2.6.x kernel)
%bcond_without	localedb	# don't build localedb-all (is time consuming)
%bcond_with	cross		# build using crossgcc (without libgcc_eh)
%bcond_with	boot64		# bootstrap *64 using cross* (sparc64 currently)
%bcond_with	pax		# build in PaX enabled environment (PaX hack is default BTW)
#
# TODO:
# - look at locale fixes/updates in bugzilla
# [OLD]
# - localedb-gen man pages(?)
# - fix what trojan broke while upgreading (getaddrinfo-workaround)
# - math/{test-fenv,test-tgmath,test-float,test-ifloat},
#   linuxthreads/tst-cancel8, debug/backtrace-tst(SEGV)  fail on alpha
# - problem compiling with --enable-bounded (must be reported to libc-alpha)
#   (is this comment still valid???)
#

%{!?min_kernel:%global          min_kernel      2.4.6}
%if "%{min_kernel}" < "2.6.0"
%global		nptl_min_kernel	2.6.0
%else
%global		nptl_min_kernel	%{min_kernel}
%endif

%if %{with tls}
# sparc temporarily removed (broken)
%ifnarch %{ix86} %{x8664} ia64 alpha s390 s390x
# sparc64 sparcv9 ppc ppc64  -- disabled in AC (gcc < 3.4)
%undefine	with_tls
%endif
%endif

%if %{with nptl}
# on x86 uses cmpxchgl (available since i486)
# on sparc only sparcv9 is supported
%ifnarch i486 i586 i686 pentium3 pentium4 athlon %{x8664} ia64 alpha s390 s390x
# sparc64 sparcv9 ppc ppc64  -- disabled in AC (gcc < 3.4)
%undefine	with_nptl
%else
%if %{without tls}
%undefine	with_nptl
%endif
%endif
%endif

%ifarch sparc64
%undefine	with_memusage
%endif
%if %{with boot64}
%define		with_cross	1
%undefine	with_selinux
%ifarch sparc64
%define		__cc	sparc64-pld-linux-gcc
%endif
%endif

%if %{with linuxthreads} && %{with nptl}
%define		with_dual	1
%endif

%define		llh_version	7:2.6.10.0-3

Summary:	GNU libc
Summary(de):	GNU libc
Summary(es):	GNU libc
Summary(fr):	GNU libc
Summary(ja):	GNU libc 饤֥
Summary(pl):	GNU libc
Summary(ru):	GNU libc  2.3
Summary(tr):	GNU libc
Summary(uk):	GNU libc Ӧ 2.3
Name:		glibc
Version:	2.3.6
Release:	11
Epoch:		6
License:	LGPL
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/glibc/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	bfdce99f82d6dbcb64b7f11c05d6bc96
Source1:	ftp://sources.redhat.com/pub/glibc/releases/%{name}-linuxthreads-%{version}.tar.bz2
# Source1-md5:	d4eeda37472666a15cc1f407e9c987a9
Source2:	nscd.init
Source3:	nscd.sysconfig
Source4:	nscd.logrotate
#Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Source5:	http://qboosh.cs.net.pl/man/%{name}-man-pages.tar.bz2
# Source5-md5:	f464eadf3cf06761f65639e44a179e6b
Source6:	%{name}-localedb-gen
Source7:	%{name}-LD-path.c
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-pld.patch
Patch3:		%{name}-crypt-blowfish.patch
Patch4:		%{name}-linuxthreads-lock.patch
Patch5:		%{name}-pthread_create-manpage.patch
Patch6:		%{name}-paths.patch
Patch7:		%{name}-dl-execstack.patch
Patch8:		%{name}-missing-nls.patch
Patch9:		%{name}-java-libc-wait.patch
Patch10:	%{name}-lthrds_noomit.patch
Patch11:	%{name}-no_opt_override.patch
Patch12:	%{name}-includes.patch
Patch13:	%{name}-soinit-EH_FRAME.patch
Patch14:	%{name}-sparc-errno_fix.patch
Patch15:	%{name}-csu-quotes.patch
Patch16:	%{name}-tests-noproc.patch
Patch17:	%{name}-new-charsets.patch
Patch18:	%{name}-sr_CS.patch
Patch19:	%{name}-sparc64-dl-machine.patch
Patch20:	%{name}-tzfile-noassert.patch
Patch21:	%{name}-morelocales.patch
Patch22:	%{name}-locale_ZA.patch
Patch23:	%{name}-locale_fixes.patch
Patch24:	%{name}-ZA_collate.patch
Patch25:	%{name}-tls_fix.patch
Patch26:	%{name}-iconvconfig-nxstack.patch
Patch27:	%{name}-sys-kd.patch
Patch28:	%{name}-cross-gcc_eh.patch
# WARNING: do not comment or delete pax_dl-execstack.patch, please. If you think 
#          that this is a good idea send some info to pld-devel-{pl,en}
Patch29:	%{name}-pax_dl-execstack.patch
Patch30:	%{name}-pax-build.patch
Patch31:	%{name}-large_collate_tables.patch
Patch32:	%{name}-ctype-compat.patch
Patch33:	%{name}-sparc-mman.h.patch
Patch34:	%{name}-dl-tls.patch
URL:		http://www.gnu.org/software/libc/
%{?with_selinux:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	binutils >= 2:2.15.90.0.3
%{!?with_cross:BuildRequires:	dietlibc-static}
BuildRequires:	gcc >= 5:3.2
%ifarch ppc ppc64 sparc sparcv9 sparc64
%if %{with nptl} || %{with __thread}
BuildRequires:	gcc >= 5:3.4
%endif
%endif
%{?with_memusage:BuildRequires:	gd-devel >= 2.0.1}
BuildRequires:	gettext-devel >= 0.10.36
%if %{without kernelheaders}
BuildRequires:	linux-libc-headers >= %{llh_version}
%endif
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
%{?with_pax:BuildRequires:	paxctl}
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.3-0.20030610.28
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0.5
BuildRequires:	texinfo
AutoReq:	false
Requires:	%{name}-misc = %{epoch}:%{version}-%{release}
Requires:	basesystem
Provides:	/sbin/ldconfig
%{?with_tls:Provides:	glibc(tls)}
Provides:	ldconfig
Obsoletes:	glibc-common
Obsoletes:	glibc-debug
Obsoletes:	ldconfig
Conflicts:	kernel < %{min_kernel}
Conflicts:	ld.so < 1.9.9-10
Conflicts:	man-pages < 1.43
Conflicts:	poldek < 0.18.8-5
Conflicts:	rc-scripts < 0.3.1-13
Conflicts:	rpm < 4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags	-O1 -g
# avoid -s here (ld.so must not be stripped to allow any program debugging)
%define		rpmldflags	%{nil}
%define 	specflags_sparc64	-mcpu=ultrasparc -mvis -fcall-used-g6
# we don't want perl dependency in glibc-devel
%define		_noautoreqfiles		%{_bindir}/mtrace
# hack: don't depend on rpmlib(PartialHardlinkSets) for easier upgrade from Ra
# (hardlinks here are unlikely to be "partial"... and rpm 4.0.2 from Ra was
# patched not to crash on partial hardlinks too)
%define		_hack_dontneed_PartialHardlinkSets	1
%define		_noautochrpath		.*\\(ldconfig\\|sln\\)
%if %{with kernelheaders}
%define		sysheaders	%{_kernelsrcdir}/include
%else
%define		sysheaders	%{_includedir}
%endif

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to ease
upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared
libraries, the standard C library and the standard math library.
Without these, a Linux system will not function. It also contains
national language (locale) support.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l es
Contiene las bibliotecas estndared que son usadas por varios
programas del sistema. Para ahorrar el espacio en el disco y la
memoria, igual que para facilitar actualizaciones, cdigo comn del
sistema se guarda en un sitio y es compartido entre los programas.
Este paquete contiene las bibliotecas compartidas ms importantes, es
decir la biblioteca C estndar y la biblioteca estndar de matemtica.
Sin stas, un sistema Linux no podr funcionar. Tambin est incluido
soporte de idiomas nacionales (locale).

Puede usarse con: ncleo Linux >= %{min_kernel}.

%description -l de
Enthlt die Standard-Libraries, die von verschiedenen Programmen im
System benutzt werden. Um Festplatten- und Arbeitsspeicher zu sparen
und zur Vereinfachung von Upgrades ist der gemeinsame Systemcode an
einer einzigen Stelle gespeichert und wird von den Programmen
gemeinsam genutzt. Dieses Paket enthlt die wichtigsten Sets der
shared Libraries, die Standard-C-Library und die
Standard-Math-Library, ohne die das Linux-System nicht funktioniert.
Ferner enthlt es den Support fr die verschiedenen Sprachgregionen
(locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l fr
Contient les bibliothques standards utilises par de nombreux
programmes du systme. Afin d'conomiser l'espace disque et mmoire,
et de faciliter les mises  jour, le code commun au systme est mis 
un endroit et partag entre les programmes. Ce paquetage contient les
bibliothques partages les plus importantes, la bibliothque standard
du C et la bibliothque mathmatique standard. Sans celles-ci, un
systme Linux ne peut fonctionner. Il contient aussi la gestion des
langues nationales (locales).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l ja
glibc
ѥåϥƥʣΥץǻȤɸ饤֥
դߤޤǥڡȥ󤷤ꡢåץ졼ɤ
Ѱդˤ뤿ˡ̤ΥƥॳɤϰĤξˤ졢ץ
֤ǶͭޤʬŪʥѥåϥɥ饤֥Τʤ
פʥåȤդߤޤ: ɸ C 饤֥ɸͥ饤֥Ǥ
ĤΥ饤֥ȴǤϡLinux ƥϵǽޤ glibc
ѥåϤޤϰ (locale) ݡȤȥॾǡ١
ݡȤդߤޤ

Can be used on: Linux kernel >= %{min_kernel}.

%description -l pl
W pakiecie znajduj si podstawowe biblioteki, uywane przez rne
programy w Twoim systemie. Uywanie przez programy bibliotek z tego
pakietu oszczdza miejsce na dysku i pami. Wikszo kodu
systemowego jest usytuowane w jednym miejscu i dzielone midzy wieloma
programami. Pakiet ten zawiera bardzo wany zbir bibliotek
standardowych, wspdzielonych (dynamicznych) bibliotek C i
matematycznych. Bez glibc system Linux nie jest w stanie funkcjonowa.
Znajduj si tutaj rwnie definicje rnych informacji dla wielu
jzykw (locale).

Przeznaczony dla jdra Linux >= %{min_kernel}.

%description -l ru
  ,  
  .  ,    
 ,     ,  ,  
 ,        
.       
 -   C   
.    Linux   . 
     (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l tr
Bu paket, birok programn kulland standart kitaplklar ierir.
Disk alan ve bellek kullanmn azaltmak ve ayn zamanda gncelleme
ilemlerini kolaylatrmak iin ortak sistem kodlar tek bir yerde
tutulup programlar arasnda paylatrlr. Bu paket en nemli ortak
kitaplklar, standart C kitapln ve standart matematik kitapln
ierir. Bu kitaplklar olmadan Linux sistemi almayacaktr. Yerel
dil destei ve zaman dilimi veri taban da bu pakette yer alr.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l uk
 Φ ¦̦, Ҧ  
  ͦ.  ,    Ԧ 
',      ,  ,
Ц  Ӧ , Ҧ   ͦæ  
դ Ӧ .   ͦ ¦ צ
 ͦ ¦̦ -  ¦̦   
¦̦ .   ¦̦ Linux æ  .
  ͦ Ц æ  (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%package misc
Summary:	Utilities and data used by glibc
Summary(pl):	Narzdzia i dane uywane przez glibc
Group:		Applications/System
AutoReq:	false
Requires(pre):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	tzdata >= 2006g-2

%description misc
Utilities and data used by glibc.

%description misc -l pl
Narzdzia i dane uywane przez glibc.

%package devel
Summary:	Additional libraries required to compile
Summary(de):	Weitere Libraries zum Kompilieren
Summary(es):	Bibliotecas adicionales necesarias para la compilacin
Summary(fr):	Librairies supplmentaires ncessaires  la compilation
Summary(ja):	ɸ C 饤֥ǻȤإåȥ֥ȥե
Summary(pl):	Dodatkowe biblioteki wymagane podczas kompilacji
Summary(ru):	 ,   
Summary(tr):	Gelitirme iin gerekli dier kitaplklar
Summary(uk):	צ ¦̦, ҦΦ  Цæ
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel-utils = %{epoch}:%{version}-%{release}
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-devel

%description devel
To develop programs which use the standard C libraries (which nearly
all programs do), the system needs to have these standard header files
and object files available for creating the executables.

%description devel -l de
Bei der Entwicklung von Programmen, die die Standard-C-Libraries
verwenden (also fast alle), bentigt das System diese Standard-Header-
und Objektdateien zum Erstellen der ausfhrbaren Programme.

%description devel -l es
Para desarrollar programas que utilizan las bibliotecas C estndar (lo
cual hacen prcticamente todos los programas), el sistema necesita
disponer de estos ficheros de cabecera y de objetos para crear los
ejecutables.

%description devel -l fr
Pour dvelopper des programmes utilisant les bibliothques standard du
C (ce que presque tous les programmes font), le systme doit possder
ces fichiers en-ttes et objets standards pour crer les excutables.

%description devel -l ja
glibc-devel ѥå(ۤȤɤ٤ƤΥץǻȤ)ɸ C
饤֥Ѥץȯ뤿Υإåȥ֥
եޤߤޤ⤷ɸ C
饤֥Ѥץȯʤ
¹ԥեŪǤɸإåȥ֥ȥե
ѤǤޤ

%description devel -l pl
Pakiet ten jest niezbdny przy tworzeniu wasnych programw
korzystajcych ze standardowej biblioteki C. Znajduj si tutaj pliki
nagwkowe oraz pliki obiektowe, niezbdne do kompilacji programw
wykonywalnych i innych bibliotek.

%description devel -l ru
  ,    C (
    ),    
 ,    ,  
 .

%description devel -l tr
C kitapln kullanan (ki hemen hemen hepsi kullanyor) programlar
gelitirmek iin gereken standart balk dosyalar ve statik
kitaplklar.

%description devel -l uk
  ,   Φ ¦̦ C
( Ӧ   ), ͦ  
 'Φ ,  ͦ   Ԧ,  
Φ .

%package headers
Summary:	Header files for development using standard C libraries
Summary(pl):	Pliki nagwkowe do tworzenia programw przy uyciu standardowych bibliotek C
Group:		Development/Building
Provides:	%{name}-headers(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on AMD64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	%{name}-headers(i386)
Obsoletes:	%{name}-headers(i486)
Obsoletes:	%{name}-headers(i586)
Obsoletes:	%{name}-headers(i686)
Obsoletes:	%{name}-headers(athlon)
Obsoletes:	%{name}-headers(pentium3)
Obsoletes:	%{name}-headers(pentium4)
%endif
%ifarch ppc64
Obsoletes:	%{name}-headers(ppc)
%endif
%ifarch s390x
Obsoletes:	%{name}-headers(s390)
%endif
%ifarch sparc64
Obsoletes:	%{name}-headers(sparc)
%endif
%{!?with_kernelheaders:Requires:	linux-libc-headers >= %{llh_version}}

%description headers
The glibc-headers package contains the header files necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these standard
header files available in order to create the executables.

Install glibc-headers if you are going to develop programs which will
use the standard C libraries.

%description headers -l pl
Pakiet glibc-headers zawiera pliki nagwkowe niezbdne do rozwijania
programw uywajcych standardowych bibliotek C (uywanych przez
prawie wszystkie programy). Jeli tworzymy programy korzystajce ze
standardowych bibliotek C, system wymaga dostpnoci tych
standardowych plikw nagwkowych do tworzenia programw
wykonywalnych.

Ten pakiet naley zainstalowa jeli zamierzamy tworzy programy
korzystajce ze standardowych bibliotek C.

%package devel-utils
Summary:	Utilities needed for development using standard C libraries
Summary(pl):	Narzdzia do tworzenia programw przy uyciu standardowych bibliotek C
Group:		Development/Libraries
Provides:	%{name}-devel-utils(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on AMD64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	%{name}-devel-utils(i386)
Obsoletes:	%{name}-devel-utils(i486)
Obsoletes:	%{name}-devel-utils(i586)
Obsoletes:	%{name}-devel-utils(i686)
Obsoletes:	%{name}-devel-utils(athlon)
Obsoletes:	%{name}-devel-utils(pentium3)
Obsoletes:	%{name}-devel-utils(pentium4)
%endif
%ifarch ppc64
Obsoletes:	%{name}-devel-utils(ppc)
%endif
%ifarch s390x
Obsoletes:	%{name}-devel-utils(s390)
%endif
%ifarch sparc64
Obsoletes:	%{name}-devel-utils(sparc)
%endif

%description devel-utils
The glibc-devel-utils package contains utilities necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these utilities
available.

Install glibc-devel-utils if you are going to develop programs which
will use the standard C libraries.

%description devel-utils -l pl
Pakiet glibc-devel-utils zawiera narzdzia niezbdne do rozwijania
programw uywajcych standardowych bibliotek C (uywanych przez
prawie wszystkie programy). Jeli tworzymy programy korzystajce ze
standardowych bibliotek C, system wymaga dostpnoci tych narzdzi do
tworzenia programw wykonywalnych.

Ten pakiet naley zainstalowa jeli zamierzamy tworzy programy
korzystajce ze standardowych bibliotek C.

%package devel-doc
Summary:	Documentation needed for development using standard C libraries
Summary(pl):	Dokumentacja do tworzenia programw przy uyciu standardowych bibliotek C
Group:		Documentation
Provides:	%{name}-devel-doc(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on AMD64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	%{name}-devel-doc(i386)
Obsoletes:	%{name}-devel-doc(i486)
Obsoletes:	%{name}-devel-doc(i586)
Obsoletes:	%{name}-devel-doc(i686)
Obsoletes:	%{name}-devel-doc(athlon)
Obsoletes:	%{name}-devel-doc(pentium3)
Obsoletes:	%{name}-devel-doc(pentium4)
%endif
%ifarch ppc64
Obsoletes:	%{name}-devel-doc(ppc)
%endif
%ifarch s390x
Obsoletes:	%{name}-devel-doc(s390)
%endif
%ifarch sparc64
Obsoletes:	%{name}-devel-doc(sparc)
%endif

%description devel-doc
The glibc-devel-doc package contains info and manual pages necessary
for developing programs which use the standard C libraries (which are
used by nearly all programs).

Install glibc-devel-doc if you are going to develop programs which
will use the standard C libraries.

%description devel-doc -l pl
Pakiet glibc-devel-doc zawiera strony info i manuala przydatne do
rozwijania programw uywajcych standardowych bibliotek C (uywanych
przez prawie wszystkie programy).

Ten pakiet naley zainstalowa jeli zamierzamy tworzy programy
korzystajce ze standardowych bibliotek C.

%package -n nscd
Summary:	Name Service Caching Daemon
Summary(es):	Demonio de cach del servicio de nombres
Summary(ja):	͡ॵӥå󥰥ǡ (nacd)
Summary(pl):	Demon zapamitujcy odpowiedzi serwisw nazw
Summary(ru):	   
Summary(uk):	  צӦ 
Group:		Networking/Daemons
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_selinux:Requires:	libselinux >= 1.18}
Requires:	rc-scripts >= 0.2.0
Provides:	group(nscd)
Provides:	user(nscd)

%description -n nscd
nscd caches name service lookups; it can dramatically improve
performance with NIS+, and may help with DNS as well.

%description -n nscd -l es
nscd guarda las peticiones del servicio de nombres en una cach; eso
puede aumentar drsticamente las prestaciones de NIS+, y tambin puede
ayudar con DNS.

%description -n nscd -l ja
Nscd ϥ͡ॵӥȤ򥭥å夷NIS+ Υѥեޥ󥹤
ɥޥƥå˲뤳ȤǤDNS Ʊͤޤ

%description -n nscd -l pl
nscd zapamituje zapytania i odpowiedzi NIS oraz DNS. Pozwala
drastycznie poprawi szybko dziaania NIS+.

%description -n nscd -l ru
nscd      ;   
    NIS+ , ,   
DNS.

%description -n nscd -l uk
nscd դ  Ӧ  צӦ ;   
¦ ˦   NIS+ , ,    DNS.

%package -n localedb-src
Summary:	locale database source code
Summary(es):	Cdigo fuente de la base de datos de los locales
Summary(pl):	Kod rdowy bazy locale
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gzip
Requires:	sed

%description -n localedb-src
This add-on package contains the data needed to build the locale data
files to use the internationalization features of the GNU libc.

%description -n localedb-src -l es
Este paquete adicional contiene los datos necesarios para construir
los ficheros de locale, imprescindibles para usar las cualidades de
internacionalizacin de GNU libc.

%description -n localedb-src -l pl
Pakiet ten zawiera dane niezbdne do zbudowania binarnych plikw
lokalizacyjnych, by mc wykorzysta moliwoci oferowane przez GNU
libc.

%package localedb-all
Summary:	locale database for all locales supported by glibc
Summary(es):	Base de datos de todos los locales soportados por glibc
Summary(pl):	Baza danych locale dla wszystkich lokalizacji obsugiwanych przez glibc
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	iconv = %{epoch}:%{version}-%{release}

%description localedb-all
This package contains locale database for all locales supported by
glibc. In glibc 2.3.x it's one large file (about 39MB) - if you want
something smaller with support for chosen locales only, consider
installing localedb-src and regenerating database using localedb-gen
script (when database is generated, localedb-src can be uninstalled).

%description localedb-all -l es
Este paquete contiene una base de datos de todos los locales
soportados por glibc. En glibc 2.3.x se es un fichero grande (aprox.
39 MB) -- si prefiere algo ms pequeo, slo con soporte de unos
locales elegidos, considrese instalar localedb-src y regenerar la
base de datos usando el escript localedb-gen (una vez que la base de
datos est creada, localedb-src se podr desinstalar).

%description localedb-all -l pl
Ten pakiet zawiera baz danych locale dla wszystkich lokalizacji
obsugiwanych przez glibc. W glibc 2.3.x jest to jeden duy plik
(okoo 39MB); aby mie co mniejszego, z obsug tylko wybranych
lokalizacji, naley zainstalowa pakiet localedb-src i przegenerowa
baz danych przy uyciu skryptu localedb-gen (po wygenerowaniu bazy
pakiet localedb-src mona odinstalowa).

%package -n iconv
Summary:	Convert encoding of given files from one encoding to another
Summary(es):	Convierte entre varias codificaciones de los ficheros dados
Summary(pl):	Moduy do konwersji plikw tekstowych z jednego kodowania do innego
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n iconv
Convert encoding of given files from one encoding to another. You need
this package if you want to convert some document from one encoding to
another or if you have installed some programs which use Generic
Character Set Conversion Interface.

%description -n iconv -l es
Convierte la codificacin de dados ficheros. Necesita este paquete si
quiere convertir un documento entre una codificacin (juego de
caracteres) y otra, o si tiene instalado algn programa que usa el
Generic Character Set Conversion Interface (interfaz genrica de
conversin de juegos de caracteres).

%description -n iconv -l pl
Moduy do konwersji plikw tekstowych z jednego kodowania do innego.
Trzeba mie zainstalowany ten pakiet, aby wykonywa konwersj
dokumentw z jednego kodowania do innego lub do uywania programw
korzystajcych z Generic Character Set Conversion Interface w glibc,
czyli z zestawu funkcji z tej biblioteki, ktre umoliwiaj konwersj
kodowania danych z poziomu dowolnego programu.

%package static
Summary:	Static libraries
Summary(es):	Bibliotecas estticas
Summary(pl):	Biblioteki statyczne
Summary(ru):	  glibc
Summary(uk):	Φ ¦̦ glibc
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-static

%description static
GNU libc static libraries.

%description static -l es
Bibliotecas estticas de GNU libc.

%description static -l pl
Biblioteki statyczne GNU libc.

%description static -l ru
     ,   
  glibc-devel.

%description static -l uk
   ڦ  ¦̦,  ¦   
 glibc-devel.

%package profile
Summary:	glibc with profiling support
Summary(de):	glibc mit Profil-Untersttzung
Summary(es):	glibc con soporte de perfilamiento
Summary(fr):	glibc avec support pour profiling
Summary(pl):	glibc ze wsparciem dla profilowania
Summary(ru):	GNU libc   
Summary(tr):	lm destei olan glibc
Summary(uk):	GNU libc  Ц 
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libc-profile

%description profile
When programs are being profiled using gprof, they must use these
libraries instead of the standard C libraries for gprof to be able to
profile them correctly.

%description profile -l de
Damit Programmprofile mit gprof richtig erstellt werden, mssen diese
Libraries anstelle der blichen C-Libraries verwendet werden.

%description profile -l es
Cuando programas son perfilidas usando gprof, tienen que usar estas
biblioteces en vez de las estndares para que gprof pueda perfilarlas
correctamente.

%description profile -l pl
Programy profilowane za pomoc gprof musz uywa tych bibliotek
zamiast standardowych bibliotek C, aby gprof mg odpowiednio je
wyprofilowa.

%description profile -l uk
  ̦  gprof,  Φ
 ͦ  ¦̦ ¦̦,  ͦ
  Ԧ.  Φ  ¦̦ gprof ͦ
 Ԧ   æ     
 æ...

%description profile -l tr
gprof kullanlarak llen programlar standart C kitapl yerine bu
kitapl kullanmak zorundadrlar.

%description profile -l ru
    gprof,  
,   , ,  
 .     gprof 
         
 ...

%package pic
Summary:	glibc PIC archive
Summary(es):	Archivo PIC de glibc
Summary(pl):	Archiwum PIC glibc
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description pic
GNU C Library PIC archive contains an archive library (ar file)
composed of individual shared objects. This is used for creating a
library which is a smaller subset of the standard libc shared library.

%description pic -l es
El archivo PIC de la biblioteca glibc contiene una biblioteca
archivada (un fichero ar) compuesta de individuales objetos
compartidos. Es usado para crear una biblioteca que sea un subconjunto
ms pequeo de la biblioteca libc compartida estndar.

%description pic -l pl
Archiwum PIC biblioteki GNU C zawiera archiwaln bibliotek (plik ar)
zoon z pojedynczych obiektw wspdzielonych. Uywana jest do
tworzenia biblioteki bdcej mniejszym podzestawem standardowej
biblioteki wspdzielonej libc.

%package -n nss_compat
Summary:	Old style NYS NSS glibc module
Summary(es):	El antiguo mdulo NYS NSS de glibc
Summary(pl):	Stary modu NYS NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_compat
Old style NYS NSS glibc module.

%description -n nss_compat -l es
El antiguo mdulo NYS NSS de glibc

%description -n nss_compat -l pl
Stary modu NYS NSS glibc.

%package -n nss_dns
Summary:	BIND NSS glibc module
Summary(es):	Mdulo BIND NSS de glibc
Summary(pl):	Modu BIND NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_dns
BIND NSS glibc module.

%description -n nss_dns -l es
Mdulo BIND NSS de glibc.

%description -n nss_dns -l pl
Modu BIND NSS glibc.

%package -n nss_files
Summary:	Traditional files databases NSS glibc module
Summary(es):	Mdulo de tradicionales bases de datos en ficheros para glibc
Summary(pl):	Modu tradycyjnych plikowych baz danych NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_files
Traditional files databases NSS glibc module.

%description -n nss_files -l es
Mdulo de tradicionales bases de datos en ficheros para glibc.

%description -n nss_files -l pl
Modu tradycyjnych plikowych baz danych NSS glibc.

%package -n nss_hesiod
Summary:	hesiod NSS glibc module
Summary(es):	Mdulo hesiod NSS de glibc
Summary(pl):	Modu hesiod NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_hesiod
glibc NSS (Name Service Switch) module for databases access.

%description -n nss_hesiod -l es
Mdulo hesiod NSS de glibc.

%description -n nss_hesiod -l pl
Modu glibc NSS (Name Service Switch) dostpu do baz danych.

%package -n nss_nis
Summary:	NIS(YP) NSS glibc module
Summary(es):	Mdulo NIS(YP) NSS de glibc
Summary(pl):	Modu NIS(YP) NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nis
glibc NSS (Name Service Switch) module for NIS(YP) databases access.

%description -n nss_nis -l es
Mdulo NSS de glibc para acceder las bases de datos NIS(YP).

%description -n nss_nis -l pl
Modu glibc NSS (Name Service Switch) dostpu do baz danych NIS(YP).

%package -n nss_nisplus
Summary:	NIS+ NSS module
Summary(es):	Mdulo NIS+ NSS
Summary(pl):	Modu NIS+ NSS
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nisplus
glibc NSS (Name Service Switch) module for NIS+ databases access.

%description -n nss_nisplus -l es
Mdulo NSS (Name Service Switch) de glibc para acceder las bases de
datos NIS+.

%description -n nss_nisplus -l pl
Modu glibc NSS (Name Service Switch) dostpu do baz danych NIS+.

%package memusage
Summary:	A toy
Summary(es):	Un juguete
Summary(pl):	Zabawka
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description memusage
A toy.

%description memusage -l es
Un juguete.

%description memusage -l pl
Zabawka.

%package -n %{name}64
Summary:	GNU libc - 64-bit libraries
Summary(es):	GNU libc - bibliotecas de 64 bits
Summary(pl):	GNU libc - biblioteki 64-bitowe
Group:		Libraries
Requires:	%{name}-misc = %{epoch}:%{version}-%{release}
Requires:	basesystem
Provides:	glibc = %{epoch}:%{version}-%{release}
%{?with_tls:Provides:	glibc(tls)}
Provides:	ldconfig
Obsoletes:	glibc-common
Obsoletes:	glibc-debug
Obsoletes:	ldconfig
Conflicts:	kernel < %{min_kernel}
Conflicts:	ld.so < 1.9.9-10
Conflicts:	man-pages < 1.43
Conflicts:	poldek < 0.18.8-4
Conflicts:	rc-scripts < 0.3.1-13
Conflicts:	rpm < 4.1

%description -n %{name}64
64-bit GNU libc libraries for 64bit architecture.

%description -n %{name}64 -l es
Bibliotecas GNU libc de 64 bits para la arquitectura 64bit.

%description -n %{name}64 -l pl
Biblioteki 64-bitowe GNU libc dla architektury 64bit.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#%patch7 -p1 UPDATE/DROP (which kernels cause problems?)
%patch8 -p1
%patch9 -p1
%patch10 -p1
# don't know, if it is good idea, for brave ones
#%patch11 -p1
%{!?with_kernelheaders:%patch12 -p1}
%patch13 -p1
%patch14 -p0
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%{?with_cross:%patch28 -p1}
#
# WARNING - disabling the glibc-pax_dl-execstack.patch will screw up PaX enabled machines.
#
%patch29 -p1
#
# ... and remember we will find you ;-)
#
%{?with_pax:%patch30 -p1}
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1

chmod +x scripts/cpp

# i786 (aka pentium4) hack
cd nptl/sysdeps/i386 && ln -s i686 i786 && cd -
cd nptl/sysdeps/unix/sysv/linux/i386 && ln -s i686 i786 && cd -

%build
# Build glibc
cp -f /usr/share/automake/config.sub scripts
%{__aclocal}
%{__autoconf}
rm -rf builddir
install -d builddir
cd builddir
%ifarch sparc64
CC="%{__cc} -m64 -mcpu=ultrasparc -mvis -fcall-used-g6"
%endif
%if %{with linuxthreads}
../%configure \
	--enable-kernel="%{min_kernel}" \
	--%{?with_omitfp:en}%{!?with_omitfp:dis}able-omitfp \
	--with%{!?with___thread:out}-__thread \
	--with-headers=%{sysheaders} \
	--with%{!?with_selinux:out}-selinux \
	--with%{!?with_tls:out}-tls \
        --enable-add-ons=linuxthreads \
	--enable-profile
%{__make}
%endif
%if %{with nptl}
%if %{with dual}
cd ..
rm -rf builddir-nptl
install -d builddir-nptl
cd builddir-nptl
%endif
../%configure \
	--enable-kernel="%{nptl_min_kernel}" \
	--%{?with_omitfp:en}%{!?with_omitfp:dis}able-omitfp \
	--with-headers=%{sysheaders} \
	--with%{!?with_selinux:out}-selinux \
	--with-tls \
        --enable-add-ons=nptl \
	--enable-profile
# simulate cross-compiling so we can perform dual builds on 2.4.x kernel
%{__make} \
	%{?with_dual:cross-compiling=yes}
%endif
cd ..

%if %{with linuxthreads}
%{__make} -C linuxthreads/man
%endif

%if %{with tests}
for d in builddir %{?with_tests_nptl:builddir-nptl} ; do
cd $d
env LANGUAGE=C LC_ALL=C \
%{__make} tests 2>&1 | awk '
BEGIN { file = "" }
{
	if (($0 ~ /\*\*\* \[.*\.out\] Error/) && ($0 !~ /annexc/) && (file == "")) {
		file=$0;
		gsub(/.*\[/, NIL, file);
		gsub(/\].*/, NIL, file);
	}
	print $0;
}
END { if (file != "") { print "ERROR OUTPUT FROM " file; system("cat " file); exit(1); } }'
cd ..
done
%endif

%if %{without cross}
diet %{__cc} %{SOURCE7} %{rpmcflags} -Os -static -o glibc-postinst
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,rc.d/init.d,sysconfig},%{_mandir}/man{3,8},/var/log,/var/{lib,run}/nscd}

cd builddir
env LANGUAGE=C LC_ALL=C \
%{__make} install \
	install_root=$RPM_BUILD_ROOT \
	infodir=%{_infodir} \
	mandir=%{_mandir}

%if %{with localedb}
env LANGUAGE=C LC_ALL=C \
%{__make} localedata/install-locales \
	install_root=$RPM_BUILD_ROOT
%endif

PICFILES="libc_pic.a libc.map
	math/libm_pic.a libm.map
	resolv/libresolv_pic.a"

install $PICFILES				$RPM_BUILD_ROOT%{_libdir}
install elf/soinit.os				$RPM_BUILD_ROOT%{_libdir}/soinit.o
install elf/sofini.os				$RPM_BUILD_ROOT%{_libdir}/sofini.o
cd ..

%if %{without cross}
install glibc-postinst				$RPM_BUILD_ROOT/sbin
%endif

%if %{with dual}
env LANGUAGE=C LC_ALL=C \
%{__make} -C builddir-nptl install \
	cross-compiling=yes \
	install_root=$RPM_BUILD_ROOT/nptl

install -d $RPM_BUILD_ROOT{/%{_lib}/tls,%{_libdir}/nptl,%{_includedir}/nptl}
for f in libc libm libpthread libthread_db librt; do
	mv -f $RPM_BUILD_ROOT/nptl/%{_lib}/${f}[-.]* $RPM_BUILD_ROOT/%{_lib}/tls
done
$RPM_BUILD_ROOT/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_lib}/tls

for f in libc.so libpthread.so ; do
	cat $RPM_BUILD_ROOT/nptl%{_libdir}/$f | sed \
		-e "s|/libc.so.6|/tls/libc.so.6|g" \
		-e "s|/libpthread.so.0|/tls/libpthread.so.0|g" \
		-e "s|/libpthread_nonshared.a|/nptl/libpthread_nonshared.a|g" \
		> $RPM_BUILD_ROOT%{_libdir}/nptl/$f
done
for f in libc.a libpthread.a libpthread_nonshared.a; do
	mv -f $RPM_BUILD_ROOT/nptl%{_libdir}/$f $RPM_BUILD_ROOT%{_libdir}/nptl
done
cd $RPM_BUILD_ROOT/nptl%{_prefix}/include
	for f in `find . -type f`; do
		if ! [ -f $RPM_BUILD_ROOT%{_prefix}/include/$f ] \
		   || ! cmp -s $f $RPM_BUILD_ROOT%{_prefix}/include/$f ; then
			install -d $RPM_BUILD_ROOT%{_prefix}/include/nptl/`dirname $f`
			cp -a $f $RPM_BUILD_ROOT%{_prefix}/include/nptl/$f
		fi
	done
cd -
rm -rf $RPM_BUILD_ROOT/nptl
%endif

%{?with_memusage:mv -f $RPM_BUILD_ROOT/%{_lib}/libmemusage.so	$RPM_BUILD_ROOT%{_libdir}}
mv -f $RPM_BUILD_ROOT/%{_lib}/libpcprofile.so	$RPM_BUILD_ROOT%{_libdir}

%if %{with linuxthreads}
install linuxthreads/man/*.3thr		$RPM_BUILD_ROOT%{_mandir}/man3
%endif

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/localtime
# moved to tzdata package
rm -rf $RPM_BUILD_ROOT%{_datadir}/zoneinfo

%ifarch %{ix86} ppc s390 sparc sparcv9
mv $RPM_BUILD_ROOT%{_includedir}/gnu/stubs.h $RPM_BUILD_ROOT%{_includedir}/gnu/stubs-32.h
%endif

%ifarch %{x8664} ppc64 s390x sparc64
mv $RPM_BUILD_ROOT%{_includedir}/gnu/stubs.h $RPM_BUILD_ROOT%{_includedir}/gnu/stubs-64.h
%endif

%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
cat <<EOF >$RPM_BUILD_ROOT%{_includedir}/gnu/stubs.h
/* This file selects the right generated file of '__stub_FUNCTION' macros
   based on the architecture being compiled for.  */

#include <bits/wordsize.h>

#if __WORDSIZE == 32
# include <gnu/stubs-32.h>
#elif __WORDSIZE == 64
# include <gnu/stubs-64.h>
#else
# error "unexpected value for __WORDSIZE macro"
#endif
EOF
%endif

ln -sf libbsd-compat.a		$RPM_BUILD_ROOT%{_libdir}/libbsd.a

# make symlinks across top-level directories absolute
for l in anl BrokenLocale crypt dl m nsl resolv rt thread_db util ; do
	rm -f $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
	ln -sf /%{_lib}/`cd $RPM_BUILD_ROOT/%{_lib} ; echo lib${l}.so.*` $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
done

install %{SOURCE2}		$RPM_BUILD_ROOT/etc/rc.d/init.d/nscd
install %{SOURCE3}		$RPM_BUILD_ROOT/etc/sysconfig/nscd
install %{SOURCE4}		$RPM_BUILD_ROOT/etc/logrotate.d/nscd
install nscd/nscd.conf	$RPM_BUILD_ROOT%{_sysconfdir}
install nss/nsswitch.conf	$RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
> $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.cache
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo 'include ld.so.conf.d/*.conf'> $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf
rm -f $RPM_BUILD_ROOT%{_mandir}/hu/man7/man.7

:> $RPM_BUILD_ROOT/var/log/nscd
:> $RPM_BUILD_ROOT/var/lib/nscd/passwd
:> $RPM_BUILD_ROOT/var/lib/nscd/group
:> $RPM_BUILD_ROOT/var/lib/nscd/hosts

rm -rf documentation
install -d documentation

%if %{with linuxthreads}
for f in ChangeLog Changes README ; do
	cp -f linuxthreads/$f documentation/${f}.linuxthreads
done
%endif
%if %{with nptl}
for f in ANNOUNCE ChangeLog DESIGN-{barrier,condvar,rwlock,sem}.txt TODO{,-kernel,-testing} ;  do
	cp -f nptl/$f documentation/${f}.nptl
done
%endif
cp -f crypt/README.ufc-crypt documentation

cp -f ChangeLog* documentation

rm -f $RPM_BUILD_ROOT%{_libdir}/libnss_*.so

# strip ld.so with --strip-debug only (other ELFs are stripped by rpm):
%{!?debug:strip -g -R .comment -R .note $RPM_BUILD_ROOT/%{_lib}/ld-*.so}

# Collect locale files and mark them with %%lang()
rm -f glibc.lang
echo '%defattr(644,root,root,755)' > glibc.lang
for i in $RPM_BUILD_ROOT%{_datadir}/locale/* $RPM_BUILD_ROOT%{_libdir}/locale/* ; do
	if [ -d $i ]; then
		lang=`echo $i | sed -e 's/.*locale\///' -e 's/\/.*//'`
		twochar=1
		# list of long %%lang values we do support
		for j in de_AT de_BE de_CH de_LU es_AR es_MX pt_BR \
			 zh_CN zh_CN.gbk zh_HK zh_TW ; do
			if [ $j = "$lang" ]; then
				twochar=
			fi
		done
		if [ -n "$twochar" ]; then
			if [ `echo $lang | sed "s,_.*,,"` = "zh" ]; then
				lang=`echo $lang | sed "s,\..*,,"`
			else
				lang=`echo $lang | sed "s,_.*,,"`
			fi
		fi
		dir=`echo $i | sed "s#$RPM_BUILD_ROOT##"`
		echo "%lang($lang) $dir" >> glibc.lang
	fi
done
# XXX: to be added when become supported by glibc
# as (atk, gail)
# az_IR (gtk+)
# dv, haw, kok, ps (iso-codes)
# my (gaim)
# tk, ug, yo (used by GNOME)
#
# NOTES:
# bn is used for bn_BD or bn_IN? Assume bn_IN as nothing for bn_BD appeared
#   till now
#
# omitted here - already existing (with libc.mo):
#   be,ca,cs,da,de,el,en_GB,es,fi,fr,gl,hr,hu,it,ja,ko,nb,nl,pl,pt_BR,sk,sv,
#   tr,zh_CN,zh_TW
#
for i in aa af am ang ar az bg bn bn_IN br bs byn cy de_AT dz en en@boldquot \
    en@quot en_AU en_CA en_US eo es_AR es_MX es_NI et eu fa fo fr_BE fy ga \
    gez gu gv he hi hsb hy ia id is it_CH iu ka kk kl km kn ku kw ky leet lg li \
    lo lt lv mg mi mk ml mn mr ms mt nds ne nl_BE nn nso oc om or pa pt rm ro \
    ru rw sa se sid sl so sq sr sr@Latn sr@ije ss syr sw ta te tg th ti tig \
    tl tlh tt uk ur uz ve vi wa wal xh yi zh_HK zu ; do
	if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES ]; then
		install -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES
		lang=`echo $i | sed -e 's/_.*//'`
		echo "%lang($lang) %{_datadir}/locale/$i" >> glibc.lang
	fi
done

# localedb-gen infrastructure
sed -e 's,@localedir@,%{_libdir}/locale,' %{SOURCE6} > $RPM_BUILD_ROOT%{_bindir}/localedb-gen
chmod +x $RPM_BUILD_ROOT%{_bindir}/localedb-gen
install localedata/SUPPORTED $RPM_BUILD_ROOT%{_datadir}/i18n

# shutup check-files
rm -f $RPM_BUILD_ROOT%{_mandir}/README.*
rm -f $RPM_BUILD_ROOT%{_mandir}/diff.*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
# we don't support kernel without ptys support
rm -f $RPM_BUILD_ROOT%{_libdir}/pt_chown

%clean
rm -rf $RPM_BUILD_ROOT

# don't run iconvconfig in %%postun -n iconv because iconvconfig doesn't exist
# when %%postun is run

%if %{without cross}
%ifarch %{x8664} ppc64 s390x sparc64
%post	-n %{name}64 -p /sbin/postshell
%else
%post	-p /sbin/postshell
%endif
/sbin/glibc-postinst /%{_lib}/%{_host_cpu}
/sbin/ldconfig
-/sbin/telinit u

%ifarch %{x8664} ppc64 s390x sparc64
%postun	-n %{name}64 -p /sbin/postshell
%else
%postun	-p /sbin/postshell
%endif
/sbin/ldconfig
-/sbin/telinit u

%ifarch %{x8664} ppc64 s390x sparc64
%triggerpostun -n %{name}64 -p /sbin/postshell -- glibc-misc < 6:2.3.4-0.20040505.1
%else
%triggerpostun -p /sbin/postshell -- glibc-misc < 6:2.3.4-0.20040505.1
%endif
-/bin/mv %{_sysconfdir}/ld.so.conf.rpmsave %{_sysconfdir}/ld.so.conf

%ifarch %{x8664} ppc64 s390x sparc64
%triggerpostun -n %{name}64 -p /sbin/postshell -- %{name}64 < 6:2.3.5-7.6
%else
%triggerpostun -p /sbin/postshell -- %{name} < 6:2.3.5-7.6
%endif
-/bin/cp -f /etc/ld.so.conf /etc/ld.so.conf.rpmsave
-/bin/sed -i -e '1iinclude ld.so.conf.d/*.conf' /etc/ld.so.conf
%endif

%post	memusage -p /sbin/ldconfig
%postun memusage -p /sbin/ldconfig

%post -n iconv -p %{_sbindir}/iconvconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%pre -n nscd
%groupadd -P nscd -g 144 -r nscd
%useradd -P nscd -u 144 -r -d /tmp -s /bin/false -c "nscd" -g nscd nscd

%post -n nscd
/sbin/chkconfig --add nscd
touch /var/log/nscd
chmod 000 /var/log/nscd
chown root:root /var/log/nscd
chmod 640 /var/log/nscd
%service nscd restart "nscd daemon"

%preun -n nscd
if [ "$1" = "0" ]; then
	%service nscd stop
	/sbin/chkconfig --del nscd
fi

%postun -n nscd
if [ "$1" = "0" ]; then
	%userremove nscd
	%groupremove nscd
fi

%ifarch %{x8664} ppc64 s390x sparc64
%files -n %{name}64
%defattr(644,root,root,755)
%else
%files
%defattr(644,root,root,755)
%endif
%defattr(644,root,root,755)
%doc README NEWS FAQ BUGS
%if %{without cross}
%attr(755,root,root) /sbin/glibc-postinst
%endif
%attr(755,root,root) /sbin/ldconfig
# ld* and libc.so.6 SONAME symlinks must be in package because of
# chicken-egg problem (postshell is dynamically linked with libc);
# ld-*.so SONAME is:
#   ld.so.1 on ppc
#   ld64.so.1 on ppc64,s390x
#   ld-linux-ia64.so.2 on ia64
#   ld-linux-x86-64.so.2 on x86_64
#   ld-linux.so.2 on other archs
%attr(755,root,root) /%{_lib}/ld*
%attr(755,root,root) /%{_lib}/libanl*
%attr(755,root,root) /%{_lib}/libdl*
%attr(755,root,root) /%{_lib}/libnsl*
%attr(755,root,root) /%{_lib}/lib[BScmprtu]*
%if %{with dual}
%dir /%{_lib}/tls
%attr(755,root,root) /%{_lib}/tls/lib[cmprt]*
%endif
%{?with_localedb:%dir %{_libdir}/locale}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf
%dir %{_sysconfdir}/ld.so.conf.d
%ghost %{_sysconfdir}/ld.so.cache

#%files -n nss_dns
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_dns*.so*

#%files -n nss_files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_files*.so*

%files misc -f %{name}.lang
%defattr(644,root,root,755)

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nsswitch.conf
%config %{_sysconfdir}/rpc

%attr(755,root,root) /sbin/sln
%attr(755,root,root) %{_bindir}/catchsegv
%attr(755,root,root) %{_bindir}/getconf
%attr(755,root,root) %{_bindir}/getent
%attr(755,root,root) %{_bindir}/iconv
%attr(755,root,root) %{_bindir}/ldd
%ifarch %{ix86} m68k sparc sparcv9
%attr(755,root,root) %{_bindir}/lddlibc4
%endif
%attr(755,root,root) %{_bindir}/locale
%attr(755,root,root) %{_bindir}/rpcgen
%attr(755,root,root) %{_bindir}/tzselect

%attr(755,root,root) %{_sbindir}/rpcinfo
%attr(755,root,root) %{_sbindir}/zdump
%attr(755,root,root) %{_sbindir}/zic

%dir %{_libexecdir}/getconf
%attr(755,root,root) %{_libexecdir}/getconf/*

%dir %{_datadir}/locale
%{_datadir}/locale/locale.alias

%{_mandir}/man1/catchsegv.1*
%{_mandir}/man1/getconf.1*
%{_mandir}/man1/getent.1*
%{_mandir}/man1/iconv.1*
%{_mandir}/man1/ldd.1*
%{_mandir}/man1/locale.1*
%{_mandir}/man1/rpcgen.1*
%{_mandir}/man5/locale.5*
%{_mandir}/man5/nsswitch.conf.5*
%{_mandir}/man5/tzfile.5*
%{_mandir}/man7/*
%{_mandir}/man8/ld*.8*
%{_mandir}/man8/rpcinfo.8*
%{_mandir}/man8/sln.8*
%{_mandir}/man8/tzselect.8*
%{_mandir}/man8/zdump.8*
%{_mandir}/man8/zic.8*
%lang(cs) %{_mandir}/cs/man7/*
%lang(de) %{_mandir}/de/man5/tzfile.5*
%lang(de) %{_mandir}/de/man7/*
%lang(es) %{_mandir}/es/man1/ldd.1*
%lang(es) %{_mandir}/es/man5/locale.5*
%lang(es) %{_mandir}/es/man5/nsswitch.conf.5*
%lang(es) %{_mandir}/es/man5/tzfile.5*
%lang(es) %{_mandir}/es/man7/*
%lang(es) %{_mandir}/es/man8/ld*.8*
%lang(es) %{_mandir}/es/man8/tzselect.8*
%lang(es) %{_mandir}/es/man8/zdump.8*
%lang(es) %{_mandir}/es/man8/zic.8*
%lang(fi) %{_mandir}/fi/man1/ldd.1*
%lang(fr) %{_mandir}/fr/man1/ldd.1*
%lang(fr) %{_mandir}/fr/man5/locale.5*
%lang(fr) %{_mandir}/fr/man5/nsswitch.conf.5*
%lang(fr) %{_mandir}/fr/man5/tzfile.5*
%lang(fr) %{_mandir}/fr/man7/*
%lang(fr) %{_mandir}/fr/man8/ld*.8*
%lang(fr) %{_mandir}/fr/man8/tzselect.8*
%lang(fr) %{_mandir}/fr/man8/zdump.8*
%lang(fr) %{_mandir}/fr/man8/zic.8*
%lang(hu) %{_mandir}/hu/man1/ldd.1*
%lang(hu) %{_mandir}/hu/man7/*
%lang(hu) %{_mandir}/hu/man8/ld*.8*
%lang(hu) %{_mandir}/hu/man8/zdump.8*
%lang(it) %{_mandir}/it/man5/locale.5*
%lang(it) %{_mandir}/it/man7/*
%lang(it) %{_mandir}/it/man8/tzselect.8*
%lang(it) %{_mandir}/it/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man1/ldd.1*
%lang(ja) %{_mandir}/ja/man1/rpcgen.1*
%lang(ja) %{_mandir}/ja/man5/locale.5*
%lang(ja) %{_mandir}/ja/man5/nsswitch.conf.5*
%lang(ja) %{_mandir}/ja/man5/tzfile.5*
%lang(ja) %{_mandir}/ja/man7/*
%lang(ja) %{_mandir}/ja/man8/ld*.8*
%lang(ja) %{_mandir}/ja/man8/rpcinfo.8*
%lang(ja) %{_mandir}/ja/man8/sln.8*
%lang(ja) %{_mandir}/ja/man8/tzselect.8*
%lang(ja) %{_mandir}/ja/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man8/zic.8*
%lang(ko) %{_mandir}/ko/man1/ldd.1*
%lang(ko) %{_mandir}/ko/man5/nsswitch.conf.5*
%lang(ko) %{_mandir}/ko/man5/tzfile.5*
%lang(ko) %{_mandir}/ko/man7/*
%lang(ko) %{_mandir}/ko/man8/tzselect.8*
%lang(ko) %{_mandir}/ko/man8/zdump.8*
%lang(pl) %{_mandir}/pl/man1/ldd.1*
%lang(pl) %{_mandir}/pl/man5/locale.5*
%lang(pl) %{_mandir}/pl/man7/*
%lang(pl) %{_mandir}/pl/man8/ld*.8*
%lang(pt) %{_mandir}/pt/man5/locale.5*
%lang(pt) %{_mandir}/pt/man5/nsswitch.conf.5*
%lang(pt) %{_mandir}/pt/man5/tzfile.5*
%lang(pt) %{_mandir}/pt/man7/*
%lang(pt) %{_mandir}/pt/man8/ld*.8*
%lang(pt) %{_mandir}/pt/man8/tzselect.8*
%lang(pt) %{_mandir}/pt/man8/zdump.8*
%lang(pt) %{_mandir}/pt/man8/zic.8*
%lang(ru) %{_mandir}/ru/man1/getent.1*
%lang(ru) %{_mandir}/ru/man1/iconv.1*
%lang(ru) %{_mandir}/ru/man1/ldd.1*
%lang(ru) %{_mandir}/ru/man1/locale.1*
%lang(ru) %{_mandir}/ru/man1/rpcgen.1*
%lang(ru) %{_mandir}/ru/man5/locale.5*
%lang(ru) %{_mandir}/ru/man5/nsswitch.conf.5*
%lang(ru) %{_mandir}/ru/man5/tzfile.5*
%lang(ru) %{_mandir}/ru/man7/*
%lang(ru) %{_mandir}/ru/man8/ld*.8*
%lang(ru) %{_mandir}/ru/man8/rpcinfo.8*
%lang(ru) %{_mandir}/ru/man8/tzselect.8*
%lang(ru) %{_mandir}/ru/man8/zdump.8*
%lang(ru) %{_mandir}/ru/man8/zic.8*
%lang(tr) %{_mandir}/tr/man1/iconv.1*
%lang(tr) %{_mandir}/tr/man1/ldd.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/iconv.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/ldd.1*
%lang(zh_CN) %{_mandir}/zh_CN/man5/locale.5*
%lang(zh_CN) %{_mandir}/zh_CN/man5/tzfile.5*
%lang(zh_CN) %{_mandir}/zh_CN/man7/*
%lang(zh_CN) %{_mandir}/zh_CN/man8/tzselect.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zdump.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zic.8*

%files -n nss_compat
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_compat*.so*

%files -n nss_hesiod
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_hesiod*.so*

%files -n nss_nis
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nis.so.*
%attr(755,root,root) /%{_lib}/libnss_nis-*.so

%files -n nss_nisplus
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nisplus*.so*

%if %{with memusage}
%files memusage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/memusage*
%attr(755,root,root) %{_libdir}/libmemusage.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib[!cmp]*.so
%attr(755,root,root) %{_libdir}/libcrypt.so
%attr(755,root,root) %{_libdir}/libm.so
%attr(755,root,root) %{_libdir}/libpcprofile.so
%attr(755,root,root) %{_libdir}/*crt*.o
# ld scripts
%{_libdir}/libc.so
%{_libdir}/libpthread.so

%{_libdir}/libbsd-compat.a
%{_libdir}/libbsd.a
%{_libdir}/libc_nonshared.a
%{_libdir}/libg.a
%{_libdir}/libieee.a
%{_libdir}/libpthread_nonshared.a
%{_libdir}/librpcsvc.a

%if %{with dual}
%dir %{_libdir}/nptl
# ld scripts
%{_libdir}/nptl/libc.so
%{_libdir}/nptl/libpthread.so
%{_libdir}/nptl/libpthread_nonshared.a
%endif

%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
%{_includedir}/gnu/stubs-*.h
%endif

%files headers
%defattr(644,root,root,755)
%{_includedir}/*.h
%ifarch alpha
%{_includedir}/alpha
%endif
%{_includedir}/arpa
%{_includedir}/bits
%dir %{_includedir}/gnu
%{_includedir}/gnu/lib*.h
%{_includedir}/gnu/stubs.h
%{_includedir}/net
%{_includedir}/netash
%{_includedir}/netatalk
%{_includedir}/netax25
%{_includedir}/neteconet
%{_includedir}/netinet
%{_includedir}/netipx
%{_includedir}/netpacket
%{_includedir}/netrom
%{_includedir}/netrose
%{_includedir}/nfs
%{_includedir}/protocols
%{_includedir}/rpc
%{_includedir}/rpcsvc
%{_includedir}/scsi
%{_includedir}/sys

%if %{with dual}
%{_includedir}/nptl
%endif

%files devel-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gencat
%attr(755,root,root) %{_bindir}/*prof*
%attr(755,root,root) %{_bindir}/*trace

%files devel-doc
%defattr(644,root,root,755)
%doc documentation/* NOTES PROJECTS
%{_infodir}/libc.info*

%{_mandir}/man1/sprof.1*
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*
%lang(de) %{_mandir}/de/man3/*
%lang(es) %{_mandir}/es/man3/*
%lang(fr) %{_mandir}/fr/man3/*
%lang(hu) %{_mandir}/hu/man3/*
%lang(it) %{_mandir}/it/man3/*
%lang(ja) %{_mandir}/ja/man3/*
%lang(ko) %{_mandir}/ko/man3/*
%lang(nl) %{_mandir}/nl/man3/*
%lang(pl) %{_mandir}/pl/man3/*
%lang(pt) %{_mandir}/pt/man3/*
%lang(ru) %{_mandir}/ru/man1/sprof.1*
%lang(ru) %{_mandir}/ru/man3/*
%lang(tr) %{_mandir}/tr/man3/*
%lang(uk) %{_mandir}/uk/man3/*
%lang(zh_CN) %{_mandir}/zh_CN/man3/*

%files -n nscd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nscd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nscd.*
%attr(754,root,root) /etc/rc.d/init.d/nscd
%attr(755,root,root) %{_sbindir}/nscd*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/nscd
%attr(640,root,root) %ghost /var/log/nscd
%dir /var/run/nscd
%dir /var/lib/nscd
%attr(600,root,root) %ghost /var/lib/nscd/passwd
%attr(600,root,root) %ghost /var/lib/nscd/group
%attr(600,root,root) %ghost /var/lib/nscd/hosts
%{_mandir}/man5/nscd.conf.5*
%{_mandir}/man8/nscd.8*
%{_mandir}/man8/nscd_nischeck.8*
%lang(es) %{_mandir}/es/man5/nscd.conf.5*
%lang(es) %{_mandir}/es/man8/nscd.8*
%lang(fr) %{_mandir}/fr/man5/nscd.conf.5*
%lang(fr) %{_mandir}/fr/man8/nscd.8*
%lang(ja) %{_mandir}/ja/man5/nscd.conf.5*
%lang(ja) %{_mandir}/ja/man8/nscd.8*
%lang(pt) %{_mandir}/pt/man5/nscd.conf.5*
%lang(pt) %{_mandir}/pt/man8/nscd.8*
%lang(ru) %{_mandir}/ru/man5/nscd.conf.5*
%lang(ru) %{_mandir}/ru/man8/nscd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man5/nscd.conf.5*

%files -n localedb-src
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/localedef
%attr(755,root,root) %{_bindir}/localedb-gen
%{_datadir}/i18n
%{_mandir}/man1/localedef.1*
%lang(ru) %{_mandir}/ru/man1/localedef.1*

%if %{with localedb}
%files localedb-all
%defattr(644,root,root,755)
%{_libdir}/locale/locale-archive
%endif

%files -n iconv
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/iconvconfig
%dir %{_libdir}/gconv
%{_libdir}/gconv/gconv-modules
%attr(755,root,root) %{_libdir}/gconv/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libanl.a
%{_libdir}/libBrokenLocale.a
%{_libdir}/libc.a
%{_libdir}/libcrypt.a
%{_libdir}/libdl.a
%{_libdir}/libm.a
%{_libdir}/libmcheck.a
%{_libdir}/libnsl.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librt.a
%{_libdir}/libutil.a
%if %{with dual}
%{_libdir}/nptl/libc.a
%{_libdir}/nptl/libpthread.a
%endif

%files profile
%defattr(644,root,root,755)
#{?with_dual:%{_libdir}/nptl/lib*_p.a}
%{_libdir}/lib*_p.a

%files pic
%defattr(644,root,root,755)
%{_libdir}/lib*_pic.a
%{_libdir}/lib*.map
%{_libdir}/soinit.o
%{_libdir}/sofini.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glibc.spec,v $
Revision 1.583.2.87  2007/01/19 21:10:03  arekm
- revert nptl headers being first (breaks things)

Revision 1.583.2.86  2007/01/08 12:05:40  glen
- fix localedb-gen script for amd64; rel 10

Revision 1.583.2.85  2006/12/17 01:18:35  arekm
- we want nptl headers to be default one

Revision 1.583.2.84  2006/10/18 07:24:34  blekot
- added -p1 to %patch29

Revision 1.583.2.83  2006/10/17 20:38:38  mguevara
- removed PaX hack from bcond (default is on), added big fat warning to
  prevent removal of the patch.

Revision 1.583.2.82  2006/10/17 18:02:24  qboosh
- added dl-tls patch (fixes dl-tls assertion, backported from glibc 2.4; needs some testing)
- release 9

Revision 1.583.2.81  2006/09/10 20:28:55  kosmo
- fixed build on pax-enabled machines

Revision 1.583.2.80  2006/09/09 01:22:53  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.583.2.79  2006/09/06 16:26:41  glen
- merge from HEAD: /sbin/postshell moved to setup package; rel 7

Revision 1.583.2.78  2006/05/24 18:34:51  qboosh
- added dirs for dz,km,mg,zh_HK messages (merged from HEAD)

Revision 1.583.2.77  2006/05/24 18:22:21  glen
- merge %desc changes from HEAD

Revision 1.583.2.76  2006/05/17 13:00:44  glen
- zoneinfo databases from tzdata package (more actual than in here); rel 6

Revision 1.583.2.75  2006/05/01 12:15:30  jajcus
- reverted last change... it was only my imagination that it worked

Revision 1.583.2.73  2006/04/14 15:02:20  glen
- rel 5

Revision 1.583.2.72  2006/02/27 23:23:36  glen
- use service, adapterized

Revision 1.583.2.71  2006/01/15 20:41:06  ankry
- sorted

Revision 1.583.2.70  2006/01/15 20:30:24  ankry
- added bn_IN dir

Revision 1.583.2.69  2005/12/30 23:55:24  ankry
- updated comment

Revision 1.583.2.68  2005/12/30 23:21:48  ankry
- added fr_BE locale dir, rel. 4

Revision 1.583.2.67  2005/12/27 09:18:38  qboosh
- release 3

Revision 1.583.2.66  2005/12/26 19:55:56  qboosh
- no selinux on boot64

Revision 1.583.2.65  2005/12/26 18:59:32  qboosh
- added boot64 bcond

Revision 1.583.2.64  2005/12/26 17:34:36  qboosh
- merged from HEAD: man-pages update, ctype-compat,sparc-mman.h patches
- it builds using gcc 4.1, removed BR gcc <= 5:4.1

Revision 1.583.2.63  2005/12/06 21:05:22  glen
- adapterized (kill prereq)

Revision 1.583.2.62  2005/12/05 20:47:02  baggins
- removed bogus patch

Revision 1.583.2.61  2005/12/05 18:47:43  baggins
- added no-nss_hidden.patch to unhide some symbols needed by nss_db

Revision 1.583.2.60  2005/11/22 18:40:27  glen
- why is the -devel-doc needed in -devel?

Revision 1.583.2.59  2005/11/22 18:16:38  glen
- more appropriate groups for -misc and -headers

Revision 1.583.2.58  2005/11/22 18:15:37  glen
- fix glibc-misc group (it's not development\!)

Revision 1.583.2.57  2005/11/15 11:03:34  qboosh
- no dietlibc if with cross

Revision 1.583.2.56  2005/11/15 10:06:21  ankry
- Swahili supported

Revision 1.583.2.55  2005/11/14 22:43:44  qboosh
- dual -devel support on ppc64/s390x/sparc64

Revision 1.583.2.54  2005/11/14 22:37:50  qboosh
- audit-libs used only if building with selinux
- using diet breaks cross bootstrap builds - disabling it if cross

Revision 1.583.2.53  2005/11/12 16:54:27  areq
- gcc 4.0 is OK

Revision 1.583.2.52  2005/11/10 12:58:12  ankry
- forgotten in last changelog: added large_collate_tables patch by qboosh

Revision 1.583.2.51  2005/11/10 12:56:29  ankry
- added dir for Frisian translations, updated locale patches (more locales)
- rel. 2 (NFY, but usable)

Revision 1.583.2.50  2005/11/10 11:31:10  qboosh
- BR: audit-libs-devel (for nscd)

Revision 1.583.2.49  2005/11/04 21:59:46  arekm
- rel 1

Revision 1.583.2.48  2005/11/04 16:24:46  wolf
- cut changelog

Revision 1.583.2.47  2005/11/04 11:36:48  qboosh
- 2.3.6 release

Revision 1.583.2.46  2005/11/03 17:54:23  qboosh
- fixed bogus localedb Group, iconv Group and pl desc

Revision 1.583.2.45  2005/11/03 13:57:40  arekm
- rel 9

Revision 1.583.2.44  2005/11/01 22:44:18  ankry
- added more dirs: for Syriac, Sanskrit, Rhaeto-roman

Revision 1.583.2.43  2005/11/01 20:15:39  ankry
- added more locale dirs; probably NFY

Revision 1.583.2.42  2005/10/31 16:38:45  qboosh
- updated to todays snap

Revision 1.583.2.41  2005/10/29 14:08:32  qboosh
- -static Provides: glibc-static(target_cpu)

Revision 1.583.2.40  2005/10/24 13:30:42  qboosh
- 20051024 snap

Revision 1.583.2.39  2005/10/24 11:24:23  qboosh
- removed obsolete execvp patch

Revision 1.583.2.38  2005/10/24 11:18:22  qboosh
- locale patches are back (morelocales,locale_fixes updated)

Revision 1.583.2.37  2005/10/24 09:38:23  qboosh
- updated sr_CS patch is back

Revision 1.583.2.36  2005/10/24 08:08:15  arekm
- started playing with 2.3.6 prerelease

Revision 1.583.2.35  2005/10/20 14:36:28  glen
- no problems reported; rel 8

Revision 1.583.2.34  2005/10/20 08:15:50  glen
- full paths, just in case

Revision 1.583.2.33  2005/10/20 08:13:13  glen
- we know we need to modify ld.so.conf from trigger, so no conditionals

Revision 1.583.2.32  2005/10/19 16:20:36  glen
- /etc/ld.so.conf.d support, trigger needs some work and *your* comments

Revision 1.583.2.31  2005/10/07 13:39:30  qboosh
- and more

Revision 1.583.2.30  2005/10/07 13:38:46  qboosh
- more sync

Revision 1.583.2.29  2005/10/07 13:37:43  qboosh
- merged cosmetics and new pl translations from HEAD
- don't change <gnu/stubs.h> on archs with single wordsize

Revision 1.583.2.28  2005/10/02 20:45:14  blues
- release 7 - /usr/include/gnu owned by devel subpackage
